Altibase.jdbc.driver

## Class AltibaseLob

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseLob

Direct Known Subclasses:
  AltibaseBlob, AltibaseClob

    public abstract class AltibaseLob
    extends java.lang.Object

### Field Summary

Fields
`protected CmChannel` `mChannel`
`protected CmProtocolContextLob` `mContext`
`protected boolean` `mIsClosed`
`protected long` `mLobLength`
`protected boolean` `mLobUpdated`
`protected long` `mLocatorId`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `free()`
`boolean` `isSameConnectionWith(CmChannel aChannel)`
`void` `open(CmChannel aChannel)`
`void` `setNull()`
`void` `truncate(long aLength)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mLocatorId

    protected long mLocatorId

#### mLobLength

    protected long mLobLength

#### mChannel

    protected CmChannel mChannel

#### mContext

    protected CmProtocolContextLob mContext

#### mLobUpdated

    protected boolean mLobUpdated

#### mIsClosed

    protected boolean mIsClosed

### Method Detail

#### open

    public void open(CmChannel aChannel)

#### truncate

    public void truncate(long aLength)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isSameConnectionWith

    public boolean isSameConnectionWith(CmChannel aChannel)

#### free

    public void free()
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`